#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.9
visibility:           public
id:                   primitive-extras-0.10.1.9-K23YuDVMiSPAVrhQc0ixVs
key:                  primitive-extras-0.10.1.9-K23YuDVMiSPAVrhQc0ixVs
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  b6b5c7456804576af4b18a221fb8eb6a
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.9
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.9
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.9-K23YuDVMiSPAVrhQc0ixVs
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    deferred-folds-0.9.18.5-LZeRfcT6R5cDigOU4orzdF
    focus-1.0.3.2-al79WkI1ZHGzJFCwVrotK
    foldl-1.4.15-KjsEdrtBZdz6UzcFhyXTVN
    list-t-1.0.5.4-CA5wSpJxtxCAacMDpBAMAT
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    primitive-unlifted-0.1.3.1-7lfiD3Vln3O9vscDQhtdnD
    profunctors-5.6.2-778V1sJYFAi9P8jOId2LV
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

